module "swarm-cluster-zone-a" {
     source = "../swarm-simple-single-az"
     count = "${var.count}"
     additional_nodes = "${var.additional_nodes_zone_a}"
     name = "${var.name}-zone-a"
     key_name = "${var.key_name}"
     stack_name = "${var.stack_name}"
     subnet_id = "${var.subnet_id_zone_a}"
     vpc_id = "${var.vpc_id}"
     security_group = "${var.security_group}"
     additional_docker_opts = "${var.additional_docker_opts}"
     instance_type = "${var.instance_type}"
     node_datasize = "${var.node_datasize}"
     node_ebs_optimized = "${var.node_ebs_optimized}"
     blackfish_ami = "${var.blackfish_ami}"
     swarm_mode = "both"
     consul_mode = "server"
     admin_network = "${var.subnet_network_zone_a}"
     registry_access_key_id = "${var.registry_access_key_id}"
     registry_access_key_secret = "${var.registry_access_key_secret}"
     rexray_access_key_id = "${var.rexray_access_key_id}"
     rexray_access_key_secret = "${var.rexray_access_key_secret}"
     bucket = "${var.bucket}"
     aws_region= "${var.aws_region}"
}

module "swarm-cluster-zone-b" {
     source = "../swarm-simple-single-az"
     count = "${var.count}"
     additional_nodes = "${var.additional_nodes_zone_b}"
     name = "${var.name}-zone-b"
     key_name = "${var.key_name}"
     stack_name = "${var.stack_name}"
     subnet_id = "${var.subnet_id_zone_b}"
     vpc_id = "${var.vpc_id}"
     security_group = "${var.security_group}"
     additional_docker_opts = "${var.additional_docker_opts}"
     instance_type = "${var.instance_type}"
     node_datasize = "${var.node_datasize}"
     node_ebs_optimized = "${var.node_ebs_optimized}"
     blackfish_ami = "${var.blackfish_ami}"
     swarm_mode = "both"
     consul_joinaddress = "${module.swarm-cluster-zone-a.join_address}"
     consul_mode = "server"
     admin_network = "${var.subnet_network_zone_b}"
     registry_access_key_id = "${var.registry_access_key_id}"
     registry_access_key_secret = "${var.registry_access_key_secret}"
     rexray_access_key_id = "${var.rexray_access_key_id}"
     rexray_access_key_secret = "${var.rexray_access_key_secret}"
     bucket = "${var.bucket}"
     aws_region= "${var.aws_region}"
}
